Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000147Dwarf FortressDwarf Mode -- Interface, Civilization Listpublic2010-04-02 09:432011-03-19 20:04
ReporterSirPenguin 
Assigned ToToady One 
PriorityhighSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.31.22 
Summary0000147: The Civilziation screen can spoil certain underground features
Description...namely, what civilizations are under there. In my current fort it shows an amphibian man civilization despite the fact I haven't even breached a single cavern yet. They are nameless and it doesn't show any information about them, but it does reveal their existence.
Steps To ReproduceI have not tried to reproduce, however I imagine this would happen in any area with an underground civ
Additional InformationI put this as a "High" priority because keeping players unspoiled should be the top goal at this point to preserve all the awesome new stuff.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002842new First sneaking kobold triggered appearance of kobold civ in civ list before kobold was revealed. 
child of 0000010resolvedToady One Unrevealed underground civs/items/buildings/events show up in Stocks/Rooms, mess up wealth count, etc 

-  Notes
(0001698)
DoctorZuber (reporter)
2010-04-07 00:26
edited on: 2010-04-07 00:31

My civilization screen currently shows...

Unnamed <<HIDDEN SPOILER>> civilization

I've blocked out the actual species name to avoid being too much of a spoiler. I expect when I actually reveal the appropriate underground feature it will name it as well. I know it exists, and I know what species it is. Not knowing the civilizations name doesn't really make it any less of a spoiler.

(0004211)
Nimblewright (reporter)
2010-04-19 03:50

I've seen this in the civ screen of *every single* fort I've started. It simply states "Unnamed <<humanoid>> civilisation". Not yet encountered one to see behaviour when I do actually meet them.
(0004215)
king doom (reporter)
2010-04-19 04:25

The problem is, as far as I can tell, the civilisation consists of about five of the [REDACTED] and a handful of preserved foods and bits of leather in a small area in a cave, and that's it.

- Issue History
Date Modified Username Field Change
2010-04-02 09:43 SirPenguin New Issue
2010-04-03 09:51 Footkerchief Relationship added related to 0000010
2010-04-03 16:35 Footkerchief Relationship added parent of 0000321
2010-04-05 10:21 Footkerchief Relationship replaced child of 0000010
2010-04-06 12:47 Footkerchief Relationship deleted parent of 0000321
2010-04-07 00:26 DoctorZuber Note Added: 0001698
2010-04-07 00:31 DoctorZuber Note Edited: 0001698 View Revisions
2010-04-10 03:20 Khym Chanur Issue Monitored: Khym Chanur
2010-04-19 03:50 Nimblewright Note Added: 0004211
2010-04-19 04:25 king doom Note Added: 0004215
2010-04-29 13:38 Footkerchief Category General => Dwarf Mode -- Interface, Civilization List
2010-07-25 20:19 Logical2u Relationship added parent of 0002842
2011-03-13 05:30 Toady One Relationship replaced related to 0002842
2011-03-13 05:31 Toady One Status new => resolved
2011-03-13 05:31 Toady One Fixed in Version => 0.31.22
2011-03-13 05:31 Toady One Resolution open => fixed
2011-03-13 05:31 Toady One Assigned To => Toady One
2011-03-19 20:04 Khym Chanur Issue End Monitor: Khym Chanur


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker